import React from "react";
import {
  createStackNavigator,
  createAppContainer,
  NavigationContainer,
  createSwitchNavigator
} from "react-navigation";

import Login from "../pages/_1_Login";
import AcceptTerms from "../pages/_2_AcceptTerms";
import Guide1 from "../pages/_3_Guide1";
import Guide2 from "../pages/_4_Guide2";
import Main from "../pages/_6_Main";

import TermsPopup from '../popup/_1_TermsPopup';

const SwitchNavigator = createSwitchNavigator(
  {
    Login,
    AcceptTerms,
    Guide1,
    Guide2,
    Main,
    
  },
  {
    initialRouteName: "Login"
  }
);

const AppContainer = createAppContainer(SwitchNavigator);

export default AppContainer;