import React from 'react';
 
import C from 'rn-class'
C.addColor("#03cf5d", "color-naver");


export default (props)=>{

    const authLogin = () => {
        props.navigation.navigate('AcceptTerms');
    }

    return (
        <C.View cls="jc-sa ai-c flx1 bgc-color-white"> 
            <C.ImageBackground source={require("../res/speech_bubble.png")} 
                cls="ai-c jc-c flx0.5 w70" 
                resizeMode="contain" 
                >   
                <C.Text cls="f5"> empty </C.Text> 
            </C.ImageBackground>
            <C.View>
                <C.Text cls="f2.5 ta-c" > 
                    {"Breathe in slowly \nAre you ready?"}
                </C.Text>
            </C.View>
            <C.View  cls="jc-sa flx0.3 w80%">
                <C.EL.Button onPress={authLogin} btncls="bgc-color-facebook" title="Facebook"/>
                <C.EL.Button onPress={authLogin} btncls="bgc-color-google-plus" title="Google"/>
                <C.EL.Button onPress={authLogin} btncls="bgc-color-kakao" tcls="color-kakaotext" title="Kakao"/>
                <C.EL.Button onPress={authLogin} btncls="bgc-color-naver" title="Naver"/> 
            </C.View>
        </C.View>
    )


}

